// Code generated by go-swagger; DO NOT EDIT.

package webhook_delivery_item

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "gitlab.com/pear-slices/mobile_platform/bitrise-step-api-build-trigger/models"
)

// WebhookDeliveryItemListReader is a Reader for the WebhookDeliveryItemList structure.
type WebhookDeliveryItemListReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *WebhookDeliveryItemListReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {

	case 200:
		result := NewWebhookDeliveryItemListOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil

	case 400:
		result := NewWebhookDeliveryItemListBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 401:
		result := NewWebhookDeliveryItemListUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 500:
		result := NewWebhookDeliveryItemListInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewWebhookDeliveryItemListOK creates a WebhookDeliveryItemListOK with default headers values
func NewWebhookDeliveryItemListOK() *WebhookDeliveryItemListOK {
	return &WebhookDeliveryItemListOK{}
}

/*WebhookDeliveryItemListOK handles this case with default header values.

OK
*/
type WebhookDeliveryItemListOK struct {
	Payload *models.V0WebhookDeliveryItemShowResponseModel
}

func (o *WebhookDeliveryItemListOK) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/outgoing-webhooks/{app-webhook-slug}/delivery-items][%d] webhookDeliveryItemListOK  %+v", 200, o.Payload)
}

func (o *WebhookDeliveryItemListOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.V0WebhookDeliveryItemShowResponseModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewWebhookDeliveryItemListBadRequest creates a WebhookDeliveryItemListBadRequest with default headers values
func NewWebhookDeliveryItemListBadRequest() *WebhookDeliveryItemListBadRequest {
	return &WebhookDeliveryItemListBadRequest{}
}

/*WebhookDeliveryItemListBadRequest handles this case with default header values.

Bad Request
*/
type WebhookDeliveryItemListBadRequest struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *WebhookDeliveryItemListBadRequest) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/outgoing-webhooks/{app-webhook-slug}/delivery-items][%d] webhookDeliveryItemListBadRequest  %+v", 400, o.Payload)
}

func (o *WebhookDeliveryItemListBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewWebhookDeliveryItemListUnauthorized creates a WebhookDeliveryItemListUnauthorized with default headers values
func NewWebhookDeliveryItemListUnauthorized() *WebhookDeliveryItemListUnauthorized {
	return &WebhookDeliveryItemListUnauthorized{}
}

/*WebhookDeliveryItemListUnauthorized handles this case with default header values.

Unauthorized
*/
type WebhookDeliveryItemListUnauthorized struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *WebhookDeliveryItemListUnauthorized) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/outgoing-webhooks/{app-webhook-slug}/delivery-items][%d] webhookDeliveryItemListUnauthorized  %+v", 401, o.Payload)
}

func (o *WebhookDeliveryItemListUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewWebhookDeliveryItemListInternalServerError creates a WebhookDeliveryItemListInternalServerError with default headers values
func NewWebhookDeliveryItemListInternalServerError() *WebhookDeliveryItemListInternalServerError {
	return &WebhookDeliveryItemListInternalServerError{}
}

/*WebhookDeliveryItemListInternalServerError handles this case with default header values.

Internal Server Error
*/
type WebhookDeliveryItemListInternalServerError struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *WebhookDeliveryItemListInternalServerError) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/outgoing-webhooks/{app-webhook-slug}/delivery-items][%d] webhookDeliveryItemListInternalServerError  %+v", 500, o.Payload)
}

func (o *WebhookDeliveryItemListInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
